Loading...
Searching...
No Matches
amp::campf< Precision > Class Template Reference

`#include <amp.h>`

## Public Member Functions

| campf ()
| campf (long double v)
| campf (double v)
| campf (float v)
| campf (signed long v)
| campf (unsigned long v)
| campf (signed int v)
| campf (unsigned int v)
| campf (signed short v)
| campf (unsigned short v)
| campf (signed char v)
| campf (unsigned char v)
| campf (const ampf< Precision > &_x)
| campf (const ampf< Precision > &_x, const ampf< Precision > &_y)
| campf (const campf &z)
template<unsigned int Prec2>
| campf (const campf< Prec2 > &z)
campf & | operator= (long double v)
campf & | operator= (double v)
campf & | operator= (float v)
campf & | operator= (signed long v)
campf & | operator= (unsigned long v)
campf & | operator= (signed int v)
campf & | operator= (unsigned int v)
campf & | operator= (signed short v)
campf & | operator= (unsigned short v)
campf & | operator= (signed char v)
campf & | operator= (unsigned char v)
campf & | operator= (const char *s)
campf & | operator= (const std::string &s)
campf & | operator= (const campf &r)
template<unsigned int Precision2>
campf & | operator= (const campf< Precision2 > &r)
| campf ()
| campf (long double v)
| campf (double v)
| campf (float v)
| campf (signed long v)
| campf (unsigned long v)
| campf (signed int v)
| campf (unsigned int v)
| campf (signed short v)
| campf (unsigned short v)
| campf (signed char v)
| campf (unsigned char v)
| campf (const ampf< Precision > &_x)
| campf (const ampf< Precision > &_x, const ampf< Precision > &_y)
| campf (const campf &z)
template<unsigned int Prec2>
| campf (const campf< Prec2 > &z)
campf & | operator= (long double v)
campf & | operator= (double v)
campf & | operator= (float v)
campf & | operator= (signed long v)
campf & | operator= (unsigned long v)
campf & | operator= (signed int v)
campf & | operator= (unsigned int v)
campf & | operator= (signed short v)
campf & | operator= (unsigned short v)
campf & | operator= (signed char v)
campf & | operator= (unsigned char v)
campf & | operator= (const char *s)
campf & | operator= (const std::string &s)
campf & | operator= (const campf &r)
template<unsigned int Precision2>
campf & | operator= (const campf< Precision2 > &r)

## Data Fields

ampf< Precision > | x
ampf< Precision > | y

## Detailed Description

template<unsigned int Precision>
class amp::campf< Precision >

Definition at line 1073 of file amp.h.

## Constructor & Destructor Documentation

## campf() [1/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( |  | ) |

inline

Definition at line 1076 of file amp.h.

:x(0),y(0){};
amp::campf::y
ampf< Precision > y
Definition amp.h:1125
amp::campf::x
ampf< Precision > x
Definition amp.h:1125

## campf() [2/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | long double | v | ) |

inline

Definition at line 1077 of file amp.h.

{ x=v; y=0; }
amp::campf
Definition amp.h:1074

## campf() [3/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | double | v | ) |

inline

Definition at line 1078 of file amp.h.

{ x=v; y=0; }

## campf() [4/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | float | v | ) |

inline

Definition at line 1079 of file amp.h.

{ x=v; y=0; }

## campf() [5/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed long | v | ) |

inline

Definition at line 1080 of file amp.h.

{ x=v; y=0; }

## campf() [6/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned long | v | ) |

inline

Definition at line 1081 of file amp.h.

{ x=v; y=0; }

## campf() [7/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed int | v | ) |

inline

Definition at line 1082 of file amp.h.

{ x=v; y=0; }

## campf() [8/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned int | v | ) |

inline

Definition at line 1083 of file amp.h.

{ x=v; y=0; }

## campf() [9/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed short | v | ) |

inline

Definition at line 1084 of file amp.h.

{ x=v; y=0; }

## campf() [10/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned short | v | ) |

inline

Definition at line 1085 of file amp.h.

{ x=v; y=0; }

## campf() [11/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed char | v | ) |

inline

Definition at line 1086 of file amp.h.

{ x=v; y=0; }

## campf() [12/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned char | v | ) |

inline

Definition at line 1087 of file amp.h.

{ x=v; y=0; }

## campf() [13/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const ampf< Precision > & | _x | ) |

inline

Definition at line 1088 of file amp.h.

:x(_x),y(0){};

## campf() [14/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const ampf< Precision > & | _x,
|  | const ampf< Precision > & | _y )

inline

Definition at line 1089 of file amp.h.

:x(_x),y(_y){};

## campf() [15/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const campf< Precision > & | z | ) |

inline

Definition at line 1090 of file amp.h.

:x(z.x),y(z.y){};

## campf() [16/32]

template<unsigned int Precision>
template<unsigned int Prec2>

amp::campf< Precision >::campf | ( | const campf< Prec2 > & | z | ) |

inline

Definition at line 1093 of file amp.h.

:x(z.x),y(z.y){};

## campf() [17/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( |  | ) |

inline

Definition at line 2099 of file svd_si.h.

:x(0),y(0){};

## campf() [18/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | long double | v | ) |

inline

Definition at line 2100 of file svd_si.h.

{ x=v; y=0; }

## campf() [19/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | double | v | ) |

inline

Definition at line 2101 of file svd_si.h.

{ x=v; y=0; }

## campf() [20/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | float | v | ) |

inline

Definition at line 2102 of file svd_si.h.

{ x=v; y=0; }

## campf() [21/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed long | v | ) |

inline

Definition at line 2103 of file svd_si.h.

{ x=v; y=0; }

## campf() [22/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned long | v | ) |

inline

Definition at line 2104 of file svd_si.h.

{ x=v; y=0; }

## campf() [23/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed int | v | ) |

inline

Definition at line 2105 of file svd_si.h.

{ x=v; y=0; }

## campf() [24/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned int | v | ) |

inline

Definition at line 2106 of file svd_si.h.

{ x=v; y=0; }

## campf() [25/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed short | v | ) |

inline

Definition at line 2107 of file svd_si.h.

{ x=v; y=0; }

## campf() [26/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned short | v | ) |

inline

Definition at line 2108 of file svd_si.h.

{ x=v; y=0; }

## campf() [27/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | signed char | v | ) |

inline

Definition at line 2109 of file svd_si.h.

{ x=v; y=0; }

## campf() [28/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | unsigned char | v | ) |

inline

Definition at line 2110 of file svd_si.h.

{ x=v; y=0; }

## campf() [29/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const ampf< Precision > & | _x | ) |

inline

Definition at line 2111 of file svd_si.h.

:x(_x),y(0){};

## campf() [30/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const ampf< Precision > & | _x,
|  | const ampf< Precision > & | _y )

inline

Definition at line 2112 of file svd_si.h.

:x(_x),y(_y){};

## campf() [31/32]

template<unsigned int Precision>

amp::campf< Precision >::campf | ( | const campf< Precision > & | z | ) |

inline

Definition at line 2113 of file svd_si.h.

:x(z.x),y(z.y){};

## campf() [32/32]

template<unsigned int Precision>
template<unsigned int Prec2>

amp::campf< Precision >::campf | ( | const campf< Prec2 > & | z | ) |

inline

Definition at line 2116 of file svd_si.h.

:x(z.x),y(z.y){};

## Member Function Documentation

## operator=() [1/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const campf< Precision > & | r | ) |

inline

Definition at line 1109 of file amp.h.

{
x = r.x;
y = r.y;
return *this;
}

## operator=() [2/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const campf< Precision > & | r | ) |

inline

Definition at line 2132 of file svd_si.h.

{
x = r.x;
y = r.y;
return *this;
}

## operator=() [3/30]

template<unsigned int Precision>
template<unsigned int Precision2>

campf & amp::campf< Precision >::operator= | ( | const campf< Precision2 > & | r | ) |

inline

Definition at line 1117 of file amp.h.

{
x = r.x;
y = r.y;
return *this;
}

## operator=() [4/30]

template<unsigned int Precision>
template<unsigned int Precision2>

campf & amp::campf< Precision >::operator= | ( | const campf< Precision2 > & | r | ) |

inline

Definition at line 2140 of file svd_si.h.

{
x = r.x;
y = r.y;
return *this;
}

## operator=() [5/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const char * | s | ) |

inline

Definition at line 1107 of file amp.h.

{ x=s; y=0; return *this; }

## operator=() [6/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const char * | s | ) |

inline

Definition at line 2130 of file svd_si.h.

{ x=s; y=0; return *this; }

## operator=() [7/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const std::string & | s | ) |

inline

Definition at line 1108 of file amp.h.

{ x=s; y=0; return *this; }

## operator=() [8/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | const std::string & | s | ) |

inline

Definition at line 2131 of file svd_si.h.

{ x=s; y=0; return *this; }

## operator=() [9/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | double | v | ) |

inline

Definition at line 1097 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [10/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | double | v | ) |

inline

Definition at line 2120 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [11/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | float | v | ) |

inline

Definition at line 1098 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [12/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | float | v | ) |

inline

Definition at line 2121 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [13/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | long double | v | ) |

inline

Definition at line 1096 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [14/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | long double | v | ) |

inline

Definition at line 2119 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [15/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed char | v | ) |

inline

Definition at line 1105 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [16/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed char | v | ) |

inline

Definition at line 2128 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [17/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed int | v | ) |

inline

Definition at line 1101 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [18/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed int | v | ) |

inline

Definition at line 2124 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [19/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed long | v | ) |

inline

Definition at line 1099 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [20/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed long | v | ) |

inline

Definition at line 2122 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [21/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed short | v | ) |

inline

Definition at line 1103 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [22/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | signed short | v | ) |

inline

Definition at line 2126 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [23/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned char | v | ) |

inline

Definition at line 1106 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [24/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned char | v | ) |

inline

Definition at line 2129 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [25/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned int | v | ) |

inline

Definition at line 1102 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [26/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned int | v | ) |

inline

Definition at line 2125 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [27/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned long | v | ) |

inline

Definition at line 1100 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [28/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned long | v | ) |

inline

Definition at line 2123 of file svd_si.h.

{ x=v; y=0; return *this; }

## operator=() [29/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned short | v | ) |

inline

Definition at line 1104 of file amp.h.

{ x=v; y=0; return *this; }

## operator=() [30/30]

template<unsigned int Precision>

campf & amp::campf< Precision >::operator= | ( | unsigned short | v | ) |

inline

Definition at line 2127 of file svd_si.h.

{ x=v; y=0; return *this; }

## Field Documentation

## x

template<unsigned int Precision>

ampf< Precision > amp::campf< Precision >::x

Definition at line 1125 of file amp.h.

## y

template<unsigned int Precision>

ampf< Precision > amp::campf< Precision >::y

Definition at line 1125 of file amp.h.

The documentation for this class was generated from the following files:

- Singular/svd/libs/amp.h
- Singular/svd_si.h